<!--
title: Reporting problems
description: Reporting problems or bugs
published: true
date: 2024-01-02T08:58:01.918Z
tags: 
editor: ckeditor
dateCreated: 2020-06-26T06:00:27.917Z
-->

<h2><strong>How to make a proper report of problems (or bugs)</strong></h2>
<p>If you have encountered a problem when using OrangeFox, and you want to report it, you have to file a proper and detailed report, or else it will be impossible (or at least very difficult) to help you.</p>
<p>Please understand that we are not sitting next to you, observing what is going on. We will only know what you tell us. So, please be as detailed as possible in explaining the problem, and provide full details of the specific steps that you took before you reached that point.</p>
<p>&nbsp;</p>
<h3>First steps;</h3>
<p>1. Firstly, before reporting any problem, please first read the <a href="https://wiki.orangefox.tech/en/guides">OrangeFox Guides and FAQ</a>.&nbsp;</p>
<p>Why? Because <i>it is unlikely that you are the first person in the world that has experienced this problem</i>, so it is likely that there will already be an answer in the guides and FAQ. This then frees us to focus on problems that have never been reported before.</p>
<p><strong><u>NOTE</u></strong>: if you make a report in our telegram channels, please do <strong><u>NOT</u></strong> tag the maintainer of your device, or any admin.</p>
<p>2. Secondly, before reporting any problem with a Stable release, please make sure that you are running the latest release of OrangeFox.</p>
<p>Why? Because <i>the problem that you are reporting may already have been fixed</i>.</p>
<p>3. Thirdly, before reporting any problem, make sure to first search the OrangeFox groups and threads for that specific problem.</p>
<p>Why? Because <i>it may already have been reported</i> and there may already be several answers for the problem.&nbsp;</p>
<p>&nbsp;</p>
<h3>What you must provide;</h3>
<ol>
  <li>The name, and code name, and hardware specifications, of your device (eg, "Poco F3, alioth, 6GB RAM")</li>
  <li>The <u>precise</u> version number of OrangeFox release that you are running, and whether Stable or Beta (eg, "OrangeFox R11.1_<i>4_</i>1 Stable")</li>
  <li>The<u> precise</u> name and version number of the <u>ROM</u> that you are running (eg, “crDroidAndroid-13.0-20231213-alioth-v9.12”)</li>
  <li>The <u>precise</u> name and version number of the<u> firmware</u> that you are running on your device (eg, “V14.0.8.0.TKHMIXM”)</li>
  <li>Full explanations, and full details, of the problem that you have experienced</li>
  <li>A list of precisely <u>all</u> the steps that you took, which led to this situation</li>
  <li>How we can <u>reproduce</u> the problem</li>
  <li>Copies of the<strong> OrangeFox <u>recovery logs</u></strong> which show the problem (in some cases, there are backups of historic logs in the /sdcard/Fox/logs/ folder (in zip format)). Do <u>NOT</u> post a copy of "lastrecoverylog.log" or any other log, if it does not show the problem. <strong><u>NOTE</u></strong>: if you do not supply logs, it will be impossible to help you. It is best to take the logs (see <a href="https://wiki.orangefox.tech/en/guides/base">https://wiki.orangefox.tech/e/en/guides/base</a>) <u>immediately</u> after you experience the problem.</li>
  <li>If the problem arises after flashing a ROM, then you must specify the <u>precise name</u> and <u>version number</u> of the ROM, and provide a <u>link for the download</u> of that ROM</li>
</ol>
<p>&nbsp;</p>
<h3>What is not helpful;</h3>
<ol>
  <li>Posting a screenshot (it will simply be deleted); instead, post the logs</li>
  <li>Posting a video (it will simply be deleted); instead, post the logs&nbsp;</li>
  <li>Being non-specific (instead, provide very full and very specific details)</li>
  <li>Saying things like "it doesn't work", or “I got errors”, etc (we have no idea what any of this means)</li>
  <li>Saying things like "I am using the latest OrangeFox" ("latest" can mean anything)</li>
  <li>Asking questions like "why is my OrangeFox rebooting to recovery?", or asking any other “<i><strong>why</strong></i>” question; instead, post very full and very specific details</li>
  <li>Saying things like "I flashed Blah-Blah ROM" (whatever the ROM) without providing the ROM's <u>full specifications</u> and release version number, and whether it is official or unoifficial</li>
</ol>
<p>&nbsp;</p>
<p>More to follow ...</p>
